Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Persistence/User/Handler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Persistence\User;
8
9 use eZ\Publish\SPI\Persistence\User;
10
14 interface Handler
15 {
26 public function create(User $user);
27
37 public function load($userId);
38
50 public function loadByLogin($login);
51
64 public function loadByEmail($email);
65
75 public function loadUserByToken($hash);
76
82 public function update(User $user);
83
89 public function updateUserToken(UserTokenUpdateStruct $userTokenUpdateStruct);
90
96 public function expireUserToken($hash);
97
105 public function delete($userId);
106
114 public function createRole(RoleCreateStruct $createStruct);
115
127 public function createRoleDraft($roleId);
128
139 public function loadRole($roleId, $status = Role::STATUS_DEFINED);
140
151 public function loadRoleByIdentifier($identifier, $status = Role::STATUS_DEFINED);
152
162 public function loadRoleDraftByRoleId($roleId);
163
169 public function loadRoles();
170
180 public function loadRoleAssignment($roleAssignmentId);
181
191 public function loadRoleAssignmentsByRoleId($roleId);
192
204 public function loadRoleAssignmentsByGroupId($groupId, $inherit = false);
205
211 public function updateRole(RoleUpdateStruct $role);
212
219 public function deleteRole($roleId, $status = Role::STATUS_DEFINED);
220
226 public function publishRoleDraft($roleDraftId);
227
240 public function addPolicyByRoleDraft($roleId, Policy $policy);
241
254 public function addPolicy($roleId, Policy $policy);
255
265 public function updatePolicy(Policy $policy);
266
275 public function deletePolicy($policyId, $roleId);
276
287 public function loadPoliciesByUserId($userId);
288
311 public function assignRole($contentId, $roleId, array $limitation = null);
312
319 public function unassignRole($contentId, $roleId);
320
326 public function removeRoleAssignment($roleAssignmentId);
327 }
eZ\Publish\SPI\Persistence\User\Policy
Definition: SPI/Persistence/User/Policy.php:12
eZ\Publish\SPI\Persistence\User\RoleCreateStruct
Definition: SPI/Persistence/User/RoleCreateStruct.php:12
eZ\Publish\SPI\Persistence\User\RoleUpdateStruct
Definition: SPI/Persistence/User/RoleUpdateStruct.php:12
eZ\Publish\SPI\Persistence\User\Role\STATUS_DEFINED
const STATUS_DEFINED
Definition: SPI/Persistence/User/Role.php:14
eZ\Publish\SPI\Persistence\User\UserTokenUpdateStruct
This update struct is used to update User Tokens (formerly known as User account keys).
Definition: SPI/Persistence/User/UserTokenUpdateStruct.php:15
eZ\Publish\SPI\Persistence\User
Definition: Publish/SPI/Persistence/User.php:10
eZ\Publish\SPI\Persistence\User\$login
$login
Definition: Publish/SPI/Persistence/User.php:23
eZ\Publish\SPI\Persistence\User\$email
$email
Definition: Publish/SPI/Persistence/User.php:30
eZ\Publish\SPI\Persistence\User\Handler
Storage Engine handler for user module.
Definition: SPI/Persistence/User/Handler.php:15
eZ\Publish\SPI\Persistence\User\Handler\expireUserToken
expireUserToken($hash)
Expires user token with user hash.
eZ\Publish\SPI\Persistence\User\Handler\updatePolicy
updatePolicy(Policy $policy)
Update a policy.
eZ\Publish\SPI\Persistence\User\Handler\loadRoleByIdentifier
loadRoleByIdentifier($identifier, $status=Role::STATUS_DEFINED)
Loads a specified role (draft) by $identifier.
eZ\Publish\SPI\Persistence\User\Handler\load
load($userId)
Loads user with user ID.
eZ\Publish\SPI\Persistence\User\Handler\updateUserToken
updateUserToken(UserTokenUpdateStruct $userTokenUpdateStruct)
Update the user information specified by the user token struct.
eZ\Publish\SPI\Persistence\User\Handler\removeRoleAssignment
removeRoleAssignment($roleAssignmentId)
Un-assign a role, by assignment ID.
eZ\Publish\SPI\Persistence\User\Handler\unassignRole
unassignRole($contentId, $roleId)
Un-assign a role.
eZ\Publish\SPI\Persistence\User\Handler\loadByEmail
loadByEmail($email)
Loads user(s) with user email.
eZ\Publish\SPI\Persistence\User\Handler\createRole
createRole(RoleCreateStruct $createStruct)
Create new role.
eZ\Publish\SPI\Persistence\User\Handler\update
update(User $user)
Update the user information specified by the user struct.
eZ\Publish\SPI\Persistence\User\Handler\deletePolicy
deletePolicy($policyId, $roleId)
Removes a policy from a role.
eZ\Publish\SPI\Persistence\User\Handler\loadRoleDraftByRoleId
loadRoleDraftByRoleId($roleId)
Loads a role draft by the original role ID.
eZ\Publish\SPI\Persistence\User\Handler\loadUserByToken
loadUserByToken($hash)
Loads user with user hash.
eZ\Publish\SPI\Persistence\User\Handler\loadByLogin
loadByLogin($login)
Loads user with user login.
eZ\Publish\SPI\Persistence\User\Handler\createRoleDraft
createRoleDraft($roleId)
Creates a draft of existing defined role.
eZ\Publish\SPI\Persistence\User\Handler\addPolicyByRoleDraft
addPolicyByRoleDraft($roleId, Policy $policy)
Adds a policy to a role draft.
eZ\Publish\SPI\Persistence\User\Handler\assignRole
assignRole($contentId, $roleId, array $limitation=null)
Assigns role to a user or user group with given limitations.
eZ\Publish\SPI\Persistence\User\Handler\publishRoleDraft
publishRoleDraft($roleDraftId)
Publish the specified role draft.
eZ\Publish\SPI\Persistence\User\Handler\loadRoleAssignment
loadRoleAssignment($roleAssignmentId)
Loads role assignment for specified assignment ID.
eZ\Publish\SPI\Persistence\User\Handler\loadPoliciesByUserId
loadPoliciesByUserId($userId)
Returns the user policies associated with the user (including inherited policies from user groups).
eZ\Publish\SPI\Persistence\User\Handler\deleteRole
deleteRole($roleId, $status=Role::STATUS_DEFINED)
Delete the specified role (draft).
eZ\Publish\SPI\Persistence\User\Handler\loadRoleAssignmentsByGroupId
loadRoleAssignmentsByGroupId($groupId, $inherit=false)
Loads roles assignments to a user/group.
eZ\Publish\SPI\Persistence\User\Handler\loadRoles
loadRoles()
Loads all roles.
eZ\Publish\SPI\Persistence\User\Handler\updateRole
updateRole(RoleUpdateStruct $role)
Update role (draft).
eZ\Publish\SPI\Persistence\User\Handler\create
create(User $user)
Create a user.
eZ\Publish\SPI\Persistence\User\Handler\addPolicy
addPolicy($roleId, Policy $policy)
Adds a policy to a role.
eZ\Publish\SPI\Persistence\User\Handler\loadRole
loadRole($roleId, $status=Role::STATUS_DEFINED)
Loads a specified role (draft) by $roleId.
eZ\Publish\SPI\Persistence\User\Handler\loadRoleAssignmentsByRoleId
loadRoleAssignmentsByRoleId($roleId)
Loads roles assignments Role.
eZ\Publish\SPI\Persistence\User
Definition: SPI/Persistence/User/Handler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.